﻿@inherits LayoutComponentBase
<RadzenDialog />
<RadzenNotification />
<RadzenTooltip />
<RadzenContextMenu />

<RadzenHeader>
    <ChildContent>
        <div class="row justify-content-start align-items-center">
            <div class="col-6 d-flex align-items-center">
                <RadzenSidebarToggle Click="@SidebarToggle0Click">
                </RadzenSidebarToggle>
                <RadzenLabel Text="JJ">
                </RadzenLabel>
            </div>
        </div>
    </ChildContent>
</RadzenHeader>
<RadzenBody @ref="body0">
    <ChildContent>
        <RadzenContentContainer Name="main">
            @Body
        </RadzenContentContainer>
    </ChildContent>
</RadzenBody>
<RadzenSidebar @ref="sidebar0">
    <ChildContent>
        <RadzenPanelMenu style="height: 100%">
            <ChildContent>
                <RadzenPanelMenuItem Icon="chat" Path="Chat" Text="Chat">
                </RadzenPanelMenuItem>
                <RadzenPanelMenuItem Icon="file" Path="paper/index" Text="Paper">
                </RadzenPanelMenuItem>
            </ChildContent>
        </RadzenPanelMenu>
    </ChildContent>
</RadzenSidebar>
<RadzenFooter>
    <ChildContent>
        <RadzenLabel Text=@($"JJ, Copyright Ⓒ {DateTime.Now.Year}")>
        </RadzenLabel>
    </ChildContent>
</RadzenFooter>
@code
{
    [Inject]
    protected Microsoft.JSInterop.IJSRuntime JSRuntime { get; set; }

    [Inject]
    protected NavigationManager UriHelper { get; set; }

    [Inject]
    protected DialogService DialogService { get; set; }

    [Inject]
    protected TooltipService TooltipService { get; set; }

    [Inject]
    protected ContextMenuService ContextMenuService { get; set; }

    [Inject]
    protected NotificationService NotificationService { get; set; }

    protected RadzenBody body0;
    protected RadzenSidebar sidebar0;

    private void Authenticated()
    {
        StateHasChanged();
    }

    protected override async System.Threading.Tasks.Task OnInitializedAsync()
    {
    }

    protected async System.Threading.Tasks.Task SidebarToggle0Click(dynamic args)
    {
        await InvokeAsync(() => { sidebar0.Toggle(); });

        await InvokeAsync(() => { body0.Toggle(); });
    }

    protected async System.Threading.Tasks.Task Profilemenu0Click(dynamic args)
    {
    }
}